from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Int, String

Pairtools_Split_V0_1_0 = CommandToolBuilder(tool="pairtools_split", base_command=["pairtools", "split"], inputs=[ToolInput(tag="in_output_pairs", input_type=File(optional=True), prefix="--output-pairs", doc=InputDocumentation(doc="output pairs file. If the path ends with .gz or .lz4,\nthe output is pbgzip-/lz4c-compressed. If -, pairs are\nprinted to stdout. If not specified, pairs are dropped.")), ToolInput(tag="in_output_sam", input_type=File(optional=True), prefix="--output-sam", doc=InputDocumentation(doc="output sam file. If the path ends with .bam, the output\nis compressed into a bam file. If -, sam entries are\nprinted to stdout. If not specified, sam entries are\ndropped.")), ToolInput(tag="in_nproc_in", input_type=Int(optional=True), prefix="--nproc-in", doc=InputDocumentation(doc="Number of processes used by the auto-guessed input\ndecompressing command.  [default: 3]")), ToolInput(tag="in_nproc_out", input_type=Int(optional=True), prefix="--nproc-out", doc=InputDocumentation(doc="Number of processes used by the auto-guessed output\ncompressing command.  [default: 8]")), ToolInput(tag="in_cmd_in", input_type=File(optional=True), prefix="--cmd-in", doc=InputDocumentation(doc="A command to decompress the input file. If provided,\nfully overrides the auto-guessed command. Does not work\nwith stdin. Must read input from stdin and print output\ninto stdout. EXAMPLE: pbgzip -dc -n 3")), ToolInput(tag="in_cmd_out", input_type=File(optional=True), prefix="--cmd-out", doc=InputDocumentation(doc="A command to compress the output file. If provided,\nfully overrides the auto-guessed command. Does not work\nwith stdout. Must read input from stdin and print\noutput into stdout. EXAMPLE: pbgzip -c -n 8")), ToolInput(tag="in_from", input_type=String(), position=0, doc=InputDocumentation(doc="stdin."))], outputs=[ToolOutput(tag="out_output_pairs", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output_pairs", type_hint=File()), doc=OutputDocumentation(doc="output pairs file. If the path ends with .gz or .lz4,\nthe output is pbgzip-/lz4c-compressed. If -, pairs are\nprinted to stdout. If not specified, pairs are dropped.")), ToolOutput(tag="out_output_sam", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output_sam", type_hint=File()), doc=OutputDocumentation(doc="output sam file. If the path ends with .bam, the output\nis compressed into a bam file. If -, sam entries are\nprinted to stdout. If not specified, sam entries are\ndropped."))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Pairtools_Split_V0_1_0().translate("wdl", allow_empty_container=True)

